Subject: Re: [Netconf] I-D Action: draft-ietf-netconf-yang-push-20.txt

From: Henk Birkholz <[email-masked]>
Date: Thu, 13 Dec 2018 14:44:04 +0100

Hello all,

this work seems to have stopped to a grinding halt, again. IoT 
Directorate hat on, I would like to know the reasons, as they seem to be 
quite unfathomable to me, personally.

I would like to see a status report from the chairs why the 
"push-drafts" were not pushed forward. I would also like to see a 
summary of open items wrt to the WG state (to pick an 
example:ietf-netconf-yang-push was updated Okt 26th and the WG state is: 
WG Consensus: Waiting for Write-Up (wg milestone: Sep 2018 - WGLC for 
YANG Push).

Is there still a gap between consensus and write-up?

Taking into account the sheer amount of discussion, review and (I am a 
bit saddened that I think I have to highlight that again) urgency, I am 
very surprised that I am having such a hard time assessing the current 
state based on the list and github.

Please excuse me, if I am missing something very obvious here. I have to 
admit, I am growing more and more concerned about the relevance of 
contributions wrt YANG Telemetry created here in the last years.

Please clarify.

Viele Grüße,

Henk

On 10/23/18 1:28 AM, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Network Configuration WG of the IETF.
> 
>          Title           : Subscription to YANG Datastores
>          Authors         : Alexander Clemm
>                            Eric Voit
>                            Alberto Gonzalez Prieto
>                            Ambika Prasad Tripathy
>                            Einar Nilsen-Nygaard
>                            Andy Bierman
>                            Balazs Lengyel
> 	Filename        : draft-ietf-netconf-yang-push-20.txt
> 	Pages           : 57
> 	Date            : 2018-10-22
> 
> Abstract:
>     Via the mechanism described in this document, subscriber applications
>     may request a continuous, customized stream of updates from a YANG
>     datastore.  Providing such visibility into updates enables new
>     capabilities based on the remote mirroring and monitoring of
>     configuration and operational state.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-netconf-yang-push/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-netconf-yang-push-20
> https://datatracker.ietf.org/doc/html/draft-ietf-netconf-yang-push-20
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-netconf-yang-push-20
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: Kent Watsen <[email-masked]>
Date: Thu, 13 Dec 2018 18:30:39 +0000

Henk,

The status is "WG Consensus: Waiting for Write-Up".  I don't think that much on-list discussion is expected when a draft is in this state.

More importantly, as I said in the mic in Bangkok (I believe you were in the room), it will be very difficult for me (as the designated shepherd) to do the writeups this year.    I did ask the room, and Ignas seconded, for shepherd volunteers.  We did get a volunteer for the "notif" drafts, but not the others.  Would you like to help?

I am also waiting for the authors to provide scripts to validate all the examples in the drafts.  I sent this request to the authors a couple times now, last time ~2 weeks ago.  So far there has been no response.

Kent

-----Original Message-----
From: Netconf <[email-masked]> on behalf of Henk Birkholz <[email-masked]>
Date: Thursday, December 13, 2018 at 8:44 AM
To: NETCONF Working Group <[email-masked]>
Cc: Ignas Bagdonas <[email-masked]>
Subject: Re: [Netconf] I-D Action: draft-ietf-netconf-yang-push-20.txt

Hello all,

Please clarify.

Viele Grüße,

Henk

On 10/23/18 1:28 AM, [email-masked] wrote:
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dnetconf-2Dyang-2Dpush_&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=NQJslh_55zLivdQxmandpfwwhSnKDut3TwXOubX08AM&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetconf-2Dyang-2Dpush-2D20&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=WUVm5qBGzQhNCzcEqi7ZHddx8pxiNXzLneZuWIlswMM&e=
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Dietf-2Dnetconf-2Dyang-2Dpush-2D20&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=wJOvWrmV-m_HiAEyEd0Q9eogz3WPlRKUqLoidPOENHw&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Dietf-2Dnetconf-2Dyang-2Dpush-2D20&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=2UlfnCpF8v1pf5T--pORYLyYNBZiK-DRdF1Atyvw6hQ&e=
> 
> 
> https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_internet-2Ddrafts_&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=czC6WX22_f8KMDfthtQ9GJh1FVl62Rl7atCnyhlOxPk&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netconf&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=AM4mjCpEOmJFw63oAIV3G6BK2YJVGwZEhOwVGB8YDqU&e=
> 

_______________________________________________
Netconf mailing list
[email-masked]
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netconf&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=AM4mjCpEOmJFw63oAIV3G6BK2YJVGwZEhOwVGB8YDqU&e=

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Thu, 13 Dec 2018 21:55:08 +0000

> From: Kent Watsen, December 13, 2018 1:31 PM
> 
> Henk,
> 
> The status is "WG Consensus: Waiting for Write-Up".  I don't think that much
> on-list discussion is expected when a draft is in this state.
> 
> More importantly, as I said in the mic in Bangkok (I believe you were in the
> room), it will be very difficult for me (as the designated shepherd) to do the
> writeups this year.    I did ask the room, and Ignas seconded, for shepherd
> volunteers.  We did get a volunteer for the "notif" drafts, but not the others.
> Would you like to help?

I would second the request for a shepherd.  Anyone who can do either yang-push or subscribed-notifications?

> I am also waiting for the authors to provide scripts to validate all the examples
> in the drafts.  I sent this request to the authors a couple times now, last time ~2
> weeks ago.  So far there has been no response.

Subscribed-notifications does not need validation scripts.  The only example within the document is a non-normative one which came verbatim from RFC-7950 section 7.16.3.

NETCONF-notif has test scripts, examples, and test results posted on the github repository.  E.g.,
https://github.com/netconf-wg/notif-netconf/blob/master/Netconf-notif-v12-examples-v4Oct2018/test%20cases.txt 
These scripts were designed to run on the set of XML examples going into the draft. Einar and I have no plans to rewrite the scripts to also extract the figures from NETCONF-notif, as this would just duplicate the tests again.  However the scripts are available for who wishes to do so.

Eric
 
> this work seems to have stopped to a grinding halt, again. IoT Directorate hat
> on, I would like to know the reasons, as they seem to be quite unfathomable to
> me, personally.
> 
> I would like to see a status report from the chairs why the "push-drafts" were
> not pushed forward. I would also like to see a summary of open items wrt to
> the WG state (to pick an example:ietf-netconf-yang-push was updated Okt 26th
> and the WG state is:
> Taking into account the sheer amount of discussion, review and (I am a bit
> saddened that I think I have to highlight that again) urgency, I am very
> surprised that I am having such a hard time assessing the current state based
> on the list and github.
> 
> Please excuse me, if I am missing something very obvious here. I have to admit,
> I am growing more and more concerned about the relevance of contributions
> wrt YANG Telemetry created here in the last years.
> 
> Please clarify.
> 
> Viele Grüße,
> 
> Henk
> 
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.
> > org_doc_draft-2Dietf-2Dnetconf-2Dyang-
> 2Dpush_&d=DwIGaQ&c=HAkYuh63rsuhr
> > 6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISl
> >
> aJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=NQJslh_55zL
> ivdQ
> > xmandpfwwhSnKDut3TwXOubX08AM&e=
> >
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_ht
> > ml_draft-2Dietf-2Dnetconf-2Dyang-2Dpush-
> 2D20&d=DwIGaQ&c=HAkYuh63rsuhr6
> > Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISla
> >
> JdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=WUVm5qBGz
> QhNCzcE
> > qi7ZHddx8pxiNXzLneZuWIlswMM&e=
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.
> > org_doc_html_draft-2Dietf-2Dnetconf-2Dyang-2Dpush-
> 2D20&d=DwIGaQ&c=HAkY
> > uh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsB
> >
> YaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=wJ
> OvWr
> > mV-m_HiAEyEd0Q9eogz3WPlRKUqLoidPOENHw&e=
> >
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcd
> > iff-3Furl2-3Ddraft-2Dietf-2Dnetconf-2Dyang-2Dpush-
> 2D20&d=DwIGaQ&c=HAkY
> > uh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsB
> >
> YaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=2Ul
> fnC
> > pF8v1pf5T--pORYLyYNBZiK-DRdF1Atyvw6hQ&e=
> >
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at tools.ietf.org.
> >
> > https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_intern
> > et-2Ddrafts_&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=
> >
> 9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUoJSUu9rH3
> vzc6
> >
> 0Wszci8R280RCkwyyIY&s=czC6WX22_f8KMDfthtQ9GJh1FVl62Rl7atCnyhlOxPk
> &e=
> >
> > https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mail
> > man_listinfo_netconf&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXc
> >
> WzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=BkpcsLQJxGUo
> JSUu
> >
> 9rH3vzc60Wszci8R280RCkwyyIY&s=AM4mjCpEOmJFw63oAIV3G6BK2YJVGwZE
> hOwVGB8Y
> > DqU&e=
> >
> 
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_mailman_listinfo_netconf&d=DwIGaQ&c=HAkYuh63rsuhr6S
> cbfh0UjBXeMK-
> ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=B
> kpcsLQJxGUoJSUu9rH3vzc60Wszci8R280RCkwyyIY&s=AM4mjCpEOmJFw63oAIV
> 3G6BK2YJVGwZEhOwVGB8YDqU&e=
>